gpt-image-2.5-sunburst
Approved Data Classifications
This model is only approved for Open Data. When leveraging NaviGator AI’s suite offerings, please ensure you are selecting models that meet the compliance requirements in accordance with UF’s Data Classifications, grant awards or project specifications, and state and federal law.
Description
gpt-image-2.5-sunburst is a text‑to‑image and image-to-image model from OpenAI that can generate high quality images that require a high level of output precision. This model will be able to follow your input directions very closely to generate images that more precisely reflect your intentions. It has 5 different quality settings that allow for fine grain control over the quality of the generated image or chose auto to let the model decide. The higher the quality the longer it takes to generate the image and the more tokens it uses therefore increasing costs. This models supports generating images up to maxium pixel count of 8,294,400 at various image resolutions.
Capabilities
| Model | Knowledge Cutoff | Input | Output | Cost (per 1 million tokens) |
|---|---|---|---|---|
| gpt-image-2.5-sunburst | n/a | Text.Image | Image | $5/M text input / $8/M image input $8/M image output |
Cost Estimates
| Quality | Size | Output token estimate | Output cost estimate |
|---|---|---|---|
| low | 1024 x 1024 | 196 | $0.00588 |
| medium | 1024 x 1024 | 439 | $0.01317 |
| high | 1024 x 1024 | 1,756 | $0.05268 |
| xhigh | 1024 x 1024 | 3,122 | $0.09366 |
| max | 1024 x 1024 | 7,024 | $0.21072 |
Availability
Cloud Provider
Usage
- curl
- python
- javascript
curl -X POST https://api.ai.it.ufl.edu/v1/images/generations \
-H "Content-Type: application/json" \
-H "Authorization: Bearer <API_TOKEN>" \
-d '{
"model": "gpt-image-2.5-sunburst",
"prompt": "An Alligator walking around the University of Florida saying hi to students.",
"size": "1024x1024",
"quality": "low"
}'
from openai import OpenAI
import base64
client = OpenAI(
api_key="your_api_key",
base_url="https://api.ai.it.ufl.edu/v1"
)
result = client.images.generate(
model="gpt-image-2.5-sunburst",
prompt="An Alligator walking around the University of Florida saying hi to students.",
size="1024x1024",
quality="low",
response_format="b64_json"
)
image_base64 = result.data[0].b64_json
image_bytes = base64.b64decode(image_base64)
# Save the image to a file
with open("alligator.png", "wb") as f:
f.write(image_bytes)
import OpenAI from "openai";
import fs from "fs";
const openai = new OpenAI({
apiKey: 'your_api_key',
baseURL: 'https://api.ai.it.ufl.edu/v1'
});
const prompt = "An Alligator walking around the University of Florida saying hi to students.";
const result = await openai.images.generate({
model: "gpt-image-2.5-sunburst",
prompt,
});
// Save the image to a file
const image_base64 = result.data[0].b64_json;
const image_bytes = Buffer.from(image_base64, "base64");
fs.writeFileSync("alligator.png", image_bytes);
References
- OpenAI
https://openai.com/- GPT-Image-2.5 Sunburst Model page https://developers.openai.com/api/docs/models/gpt-image-2.5-sunburst
- Cost Estimage Calculator
https://developers.openai.com/api/docs/guides/image-generation#gpt-image-25-and-gpt-image-2-output-tokens- Model paramaters and prompting guide https://developers.openai.com/api/docs/guides/image-prompting#model-parameters
- Artificial Analysis
https://artificialanalysis.ai